Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4
Interface EstimatedStatistics

All Known Implementing Classes:
  EstimatedStatistics

    public interface EstimatedStatistics

Author:
  Timm Euler Interface to a class whose objects represent estimated values of data characteristics (statistics) for M4 concepts that do not (yet) have a columnset. In the current version no information about the validity of the information or the quality of the estimation is given. Some of the information that objects of this class hold will be known and true while other information will be estimated. A future enhancement could be to qualify each item of information in this sense. Returned estimates should be compared with the public constants defined in this interface to see if they are unknown.

Field Summary
`static java.lang.String` | `VALUE_DISCRETE_UNKNOWN`
`static double` | `VALUE_DOUBLE_UNKNOWN`
`static int` | `VALUE_INT_UNKNOWN`

Method Summary
`void` | `addAttribute(java.lang.String nameOfAttribute)`
`void` | `addValueInformation(java.lang.String nameOfAttribute, java.lang.String value, int noOfOccurrences)`
`EstimatedStatistics` | `copy(Concept toConcept)`
`void` | `copyValueList(java.lang.String nameOfDestinationAttribute, EstimatedStatistics from, java.lang.String nameOfSourceAttribute)` Copy the list of values (with their number of occurrences) of the attribute with name `nameOfSourceAttribute`from the given EstimatedStatistics object to this object, to the attribute with name `nameOfDestinationAttribute`.
`double` | `getBiggestValue(java.lang.String nameOfAttribute)`
`Concept` | `getConcept()` Returns the concept this EstimatedStatistics object applies to.
`double` | `getLowestValue(java.lang.String nameOfAttribute)`
`int` | `getNumberOfMissingValues(java.lang.String nameOfAttribute)`
`int` | `getNumberOfOccurrences(java.lang.String nameOfAttribute, java.lang.String value)`
`long` | `getNumberOfRows()`
`java.util.Vector` | `getValueList(java.lang.String nameOfAttribute)` Returns a Vector with the values this attribute takes.
`boolean` | `readAvailableStatisticsFromDb()` If the concept that these ES belong to is of type MINING, it may happen that some statistics have been computed for the columnset that may be attached to it.
`void` | `removeValue(java.lang.String value, java.lang.String nameOfAttribute)` Removes the given value from the list of values of the given attribute.
`void` | `setBiggestValue(java.lang.String nameOfAttribute, double value)`
`void` | `setLowestValue(java.lang.String nameOfAttribute, double value)`
`void` | `setNumberOfMissingValues(java.lang.String nameOfAttribute, int number)`
`void` | `setNumberOfOccurrences(java.lang.String nameOfAttribute, java.lang.String value, int number)`
`void` | `setNumberOfRows(long numberOfRows)`
`void` | `setValueList(java.lang.String nameOfAttribute, java.util.Vector theValues)` Sets the list of occurring values of the given attribute.

Field Detail

### VALUE_DISCRETE_UNKNOWN

    static final java.lang.String VALUE_DISCRETE_UNKNOWN

See Also:
  Constant Field Values

### VALUE_DOUBLE_UNKNOWN

    static final double VALUE_DOUBLE_UNKNOWN

See Also:
  Constant Field Values

### VALUE_INT_UNKNOWN

    static final int VALUE_INT_UNKNOWN

See Also:
  Constant Field Values

Method Detail

### getConcept

    Concept getConcept()

  Returns the concept this EstimatedStatistics object applies to.

### getValueList

    java.util.Vector getValueList(java.lang.String nameOfAttribute)

  Returns a Vector with the values this attribute takes.

  Parameters:
    `nameOfAttribute` -
  Returns:

### readAvailableStatisticsFromDb

    boolean readAvailableStatisticsFromDb()
                                          throws M4Exception

  If the concept that these ES belong to is of type MINING, it may happen that some statistics have been computed for the columnset that may be attached to it. If such statistics are stored in the M4 schema they can be used as the estimations with this method.

  Returns:
    TRUE iff any estimations were updated with information from M4.
  Throws:
    `M4Exception`

### removeValue

    void removeValue(java.lang.String value,
                     java.lang.String nameOfAttribute)

  Removes the given value from the list of values of the given attribute.

  Parameters:
    `value` -
    `nameOfAttribute` -

### getNumberOfMissingValues

    int getNumberOfMissingValues(java.lang.String nameOfAttribute)

### setNumberOfMissingValues

    void setNumberOfMissingValues(java.lang.String nameOfAttribute,
                                  int number)

### getBiggestValue

    double getBiggestValue(java.lang.String nameOfAttribute)

### setBiggestValue

    void setBiggestValue(java.lang.String nameOfAttribute,
                         double value)

### getLowestValue

    double getLowestValue(java.lang.String nameOfAttribute)

### setLowestValue

    void setLowestValue(java.lang.String nameOfAttribute,
                        double value)

### getNumberOfRows

    long getNumberOfRows()

### setNumberOfRows

    void setNumberOfRows(long numberOfRows)

### getNumberOfOccurrences

    int getNumberOfOccurrences(java.lang.String nameOfAttribute,
                               java.lang.String value)

### setNumberOfOccurrences

    void setNumberOfOccurrences(java.lang.String nameOfAttribute,
                                java.lang.String value,
                                int number)

### setValueList

    void setValueList(java.lang.String nameOfAttribute,
                      java.util.Vector theValues)

  Sets the list of occurring values of the given attribute. The given vector must contain Strings with the values.

  Parameters:
    `nameOfAttribute` -
    `theValues` - a Vector with Strings

### copyValueList

    void copyValueList(java.lang.String nameOfDestinationAttribute,
                       EstimatedStatistics from,
                       java.lang.String nameOfSourceAttribute)

  Copy the list of values (with their number of occurrences) of the attribute with name `nameOfSourceAttribute`from the given EstimatedStatistics object to this object, to the attribute with name `nameOfDestinationAttribute`.

  Parameters:
    `nameOfDestinationAttribute` - name of attribute to which to set the copied list
    `from` - the given EstimatedStatistics object
    `nameOfSourceAttribute` - name of attribute from which to copy

### copy

    EstimatedStatistics copy(Concept toConcept)
                             throws M4Exception

  Throws:
    `M4Exception`

### addAttribute

    void addAttribute(java.lang.String nameOfAttribute)

### addValueInformation

    void addValueInformation(java.lang.String nameOfAttribute,
                             java.lang.String value,
                             int noOfOccurrences)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005